MailcrateDocs
Organization

Suspend a workspace

POST
/public/organization/workspaces/{id}/suspend

Stops the workspace sending. Suspending a workspace that is already suspended is not an error.

Requires the workspaces:provision scope.

Authorization

OrganizationApiKey
headerAuthorization<token>

Api-Key mco_... — an organization management key.

Path Parameters

id*string

Request Body

application/json
  1. body
reason?string
Lengthlength <= 500

Response Body

application/json
  1. response
id*string
name*string
type*string
Value in"production""sandbox"
sendingStatus*string
Value in"active""paused"
sendingPausedReason*|
Value in"bounce-rate""complaint-rate""manual""organization"
sendingPausedAt*string|null
postalAddress*|null
icon*string|null
color*string|null
created*string
Example Request
curl -X POST 'https://api.mailcrate.io/public/organization/workspaces/string/suspend' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "name": "string",  "type": "production",  "sendingStatus": "active",  "sendingPausedReason": "bounce-rate",  "sendingPausedAt": "string",  "postalAddress": {},  "icon": "string",  "color": "string",  "created": "string"}